**********************************************************
* Introduzione all'analisi dei dati longitudinali
* CAP 3:	ANALISI DEGLI EVENTI  
**********************************************************
* questa sintassi: eha_esempio_I
* Cap 3.4 
* Esempio I: STSET 
* VERSIONE: AGOSTO 2013
***********************************************************
*version 12.1 

global eha F:\longi
set more off
set dp comma

use $eha\data\spell.dta, clear 
sort id ts 
drop hid
* status di destinazione 
bys id: gen nextstat=status[_n+1]
* STSET 
stset tf,  failure(nextstat==1)  id(id) origin(time ts)
browse


stset tf,  failure(nextstat==1)  id(id) 
stset tf,  failure(nextstat==1)  id(id) origin(time ts) exit(nextstat==.)
 